All Libraries | This Library | Package | Class | Use | Tree | Deprecated | Index | Grand Index | Help
|  | Metadata |
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.sas.metadata.remote
Interface DataTable

All Superinterfaces:
  Classifier, CMetadata, MdObjectBase, MdObjectBaseUtil, MdObjectBaseXML, PrimaryType, java.rmi.Remote, Root

All Known Subinterfaces:
  ExternalTable, JoinTable, PhysicalTable, QueryTable, RelationalTable, SecuredTable, TableCollection, WorkTable

    public interface DataTable

extends Classifier

An abstract type that represents an object that contains a set of columns. When creating metadata, use the subtype of DataTable that best describes the entity that you want to represent.

Attributes of DataTable are:

- `TableName`
- `NumRows`

Associations of DataTable are:

- `ColumnHierarchies`
- `Columns`
- `ForeignKeys`
- `TablePackage`
- `UniqueKeys`
- `Roles`
- `TableCollections`

## Usage

To create an instance of this DataTable, use the `factory` create methods.
Example: create a DataTable with name "DataTable_Object", in repository "AAAAAAAA".

     // create a store to contain your objects for this change. If you do not have an existing object
     // or store to use.  You may obtain the store from another object by using Object.getObjectStore().
     MdFactory factory; //where "factory" is a valid MdFactory instance
     MdObjectStore objectStore = factory.createObjectStore();
     DataTable myObject = (DataTable) factory.createComplexMetadataObject(objectStore, "DataTable_Object", MetadataObjects.DATATABLE, "AAAAAAAA");
     myObject.updateMetadataAll();  // Write object to server
     objectStore.dispose();  // dispose of the object store if it is no longer needed

## Behavior

- Attributes and associations for this object can be retrieved by using the methods in `MdOMIUtil`.
- When changes are made to the object, either by setting an attribute or adding objects to a particular association, they can be persisted to the metadata server with the `updateMetadataAll` method.
- If an object needs to be deleted, the `delete` method can be used. This will flag the object as being deleted on the client, and will require an update call to persist the change to the server.

## Dependencies

This class depends on objects being contained in an MdObjectStore. Object stores should be disposed of when they are no longer needed as this will help clean up memory. Disposing an object store will dispose of all objects contained within that store.

Since:
  9.0

Field Summary
`static java.lang.String` | `ASSOCIATION_COLUMNHIERARCHIES_NAME` Constant used for the name of the ColumnHierarchies association.
`static java.lang.String` | `ASSOCIATION_COLUMNS_NAME` Constant used for the name of the Columns association.
`static java.lang.String` | `ASSOCIATION_FOREIGNKEYS_NAME` Constant used for the name of the ForeignKeys association.
`static java.lang.String` | `ASSOCIATION_ROLES_NAME` Constant used for the name of the Roles association.
`static java.lang.String` | `ASSOCIATION_TABLECOLLECTIONS_NAME` Constant used for the name of the TableCollections association.
`static java.lang.String` | `ASSOCIATION_TABLEPACKAGE_NAME` Constant used for the name of the TablePackage association.
`static java.lang.String` | `ASSOCIATION_UNIQUEKEYS_NAME` Constant used for the name of the UniqueKeys association.
`static java.lang.String` | `ATTRIBUTE_NUMROWS_NAME` Constant used for the name of the NumRows attribute.
`static java.lang.String` | `ATTRIBUTE_TABLENAME_NAME` Constant used for the name of the TableName attribute.

Fields inherited from interface com.sas.metadata.remote.Classifier
`ASSOCIATION_SOURCECLASSIFIERMAPS_NAME, ASSOCIATION_TARGETCLASSIFIERMAPS_NAME`

Fields inherited from interface com.sas.metadata.remote.PrimaryType
`ASSOCIATION_FAVORITESCONTAINERS_NAME, ATTRIBUTE_ISHIDDEN_NAME, ATTRIBUTE_PUBLICTYPE_NAME`

Fields inherited from interface com.sas.metadata.remote.Root
`ASSOCIATION_ACCESSCONTROLS_NAME, ASSOCIATION_CHANGES_NAME, ASSOCIATION_CUSTOMASSOCIATIONS_NAME, ASSOCIATION_DOCUMENTS_NAME, ASSOCIATION_EXTENSIONS_NAME, ASSOCIATION_EXTERNALIDENTITIES_NAME, ASSOCIATION_GROUPS_NAME, ASSOCIATION_IMPLEMENTORS_NAME, ASSOCIATION_KEYWORDS_NAME, ASSOCIATION_LOCALIZEDATTRIBUTES_NAME, ASSOCIATION_NOTES_NAME, ASSOCIATION_PRIMARYPROPERTYGROUP_NAME, ASSOCIATION_PROMPTS_NAME, ASSOCIATION_PROPERTIES_NAME, ASSOCIATION_PROPERTYSETS_NAME, ASSOCIATION_REFERENCEDOBJECTS_NAME, ASSOCIATION_RESPONSIBLEPARTIES_NAME, ASSOCIATION_SOURCETRANSFORMATIONS_NAME, ASSOCIATION_SPECSOURCETRANSFORMATIONS_NAME, ASSOCIATION_SPECTARGETTRANSFORMATIONS_NAME, ASSOCIATION_TARGETTRANSFORMATIONS_NAME, ASSOCIATION_TIMESTAMPS_NAME, ASSOCIATION_TREES_NAME, ASSOCIATION_TSOBJECTNAMESPACE_NAME, ASSOCIATION_USEDBYPROTOTYPES_NAME, ASSOCIATION_USINGPROTOTYPE_NAME, ASSOCIATION_VARIABLES_NAME, ATTRIBUTE_CHANGESTATE_NAME, ATTRIBUTE_LOCKEDBY_NAME, ATTRIBUTE_USAGEVERSION_NAME`

Fields inherited from interface com.sas.metadata.remote.MdObjectBase
`ATTRIBUTE_DESC_NAME, ATTRIBUTE_ID_NAME, ATTRIBUTE_METADATACREATED_NAME, ATTRIBUTE_METADATAUPDATED_NAME, ATTRIBUTE_NAME_NAME`

Method Summary
`AssociationList` | `getColumnHierarchies()` Gets the AssociationList of `ColumnHierarchies`
`AssociationList` | `getColumnHierarchies(boolean fGoToServer)` Gets the Associationlist of `ColumnHierarchies`
`AssociationList` | `getColumns()` Gets the AssociationList of `Columns`
`AssociationList` | `getColumns(boolean fGoToServer)` Gets the Associationlist of `Columns`
`AssociationList` | `getForeignKeys()` Gets the AssociationList of `ForeignKeys`
`AssociationList` | `getForeignKeys(boolean fGoToServer)` Gets the Associationlist of `ForeignKeys`
`double` | `getNumRows()` Gets the `double` value of `NumRows`
`int` | `getNumRowsState()` Gets the Metadata State of `NumRows`
`AssociationList` | `getRoles()` Gets the Association list of `Roles`
`AssociationList` | `getRoles(boolean fGoToServer)` Gets the Associationlist of `Roles`
`AssociationList` | `getTableCollections()` Gets the Association list of `TableCollections`
`AssociationList` | `getTableCollections(boolean fGoToServer)` Gets the Associationlist of `TableCollections`
`java.lang.String` | `getTableName()` Gets the `String` value of `TableName`
`int` | `getTableNameMaxLength()` Gets the maximum length of `TableName`
`int` | `getTableNameState()` Gets the Metadata State of `TableName`
`RelationalSchema` | `getTablePackage()` Gets the `RelationalSchema` for `TablePackage`
`AssociationList` | `getTablePackages()` Gets the AssociationList of `TablePackages`
`AssociationList` | `getTablePackages(boolean fGoToServer)` Gets the Associationlist of `TablePackages`
`AssociationList` | `getUniqueKeys()` Gets the AssociationList of `UniqueKeys`
`AssociationList` | `getUniqueKeys(boolean fGoToServer)` Gets the Associationlist of `UniqueKeys`
`void` | `initializePredObjects()` (S) Adds the Associated objects to the predObjects which are: `ColumnHierarchies` `Columns` `ForeignKeys` `TablePackage` `UniqueKeys`
`void` | `initializeRequiredObjects()` (S) This initializes the Required Objects(Roles) which are:
`void` | `setColumnHierarchies(AssociationList list)` Sets the `ColumnHierarchies` list to be `list`.
`void` | `setColumnHierarchies(AssociationList inObjects, int state)` Sets the entire AssociationList to match the passed in Vector, sets the state of the AssociationList
`void` | `setColumns(AssociationList list)` Sets the `Columns` list to be `list`.
`void` | `setColumns(AssociationList inObjects, int state)` Sets the entire AssociationList to match the passed in Vector, sets the state of the AssociationList
`void` | `setForeignKeys(AssociationList list)` Sets the `ForeignKeys` list to be `list`.
`void` | `setForeignKeys(AssociationList inObjects, int state)` Sets the entire AssociationList to match the passed in Vector, sets the state of the AssociationList
`void` | `setNumRows(double inNumRows)` Sets the `NumRows` value and sets the state to MetadataState.LOCAL.
`void` | `setNumRows(double inNumRows, int state)` Sets the `NumRows` Metadata State.
`void` | `setNumRows(java.lang.String inNumRows)` Sets the `NumRows` value and sets the state to MetadataState.LOCAL
`void` | `setNumRows(java.lang.String inNumRows, int state)` Sets the `NumRows` value and Metadata State.
`void` | `setNumRowsState(int state)` Sets the Metadata State of `NumRows`.
`void` | `setRoles(AssociationList list)` Sets the `Roles` list to be `list`.
`void` | `setRoles(AssociationList inObjects, int state)` Sets the entire Roles list to match the passed in AssociationList, sets the state of the Roles
`void` | `setTableCollections(AssociationList list)` Sets the `TableCollections` list to be `list`.
`void` | `setTableCollections(AssociationList inObjects, int state)` Sets the entire TableCollections list to match the passed in AssociationList, sets the state of the TableCollections
`void` | `setTableName(java.lang.String inTableName)` Sets the `TableName` value and sets the state to MetadataState.LOCAL.
`void` | `setTableName(java.lang.String inTableName, int state)` Sets the `TableName` Metadata State.
`void` | `setTableNameState(int state)` Sets the Metadata State of `TableName`.
`void` | `setTablePackage(RelationalSchema inObject)` Sets the `TablePackages` list 0th element to be `inObject`.
`void` | `setTablePackages(AssociationList list)` Sets the `TablePackages` list to be `list`.
`void` | `setTablePackages(AssociationList list, int state)` Sets the `TablePackages` list to be `list`.
`void` | `setUniqueKeys(AssociationList list)` Sets the `UniqueKeys` list to be `list`.
`void` | `setUniqueKeys(AssociationList inObjects, int state)` Sets the entire AssociationList to match the passed in Vector, sets the state of the AssociationList

Methods inherited from interface com.sas.metadata.remote.Classifier
`getSourceClassifierMaps, getSourceClassifierMaps, getTargetClassifierMaps, getTargetClassifierMaps, setSourceClassifierMaps, setSourceClassifierMaps, setTargetClassifierMaps, setTargetClassifierMaps`

Methods inherited from interface com.sas.metadata.remote.PrimaryType
`getFavoritesContainers, getFavoritesContainers, getIsHidden, getIsHiddenState, getPublicType, getPublicTypeMaxLength, getPublicTypeState, setFavoritesContainers, setFavoritesContainers, setIsHidden, setIsHidden, setIsHidden, setIsHidden, setIsHiddenState, setPublicType, setPublicType, setPublicTypeState`

Methods inherited from interface com.sas.metadata.remote.Root
`getAccessControls, getAccessControls, getChanges, getChanges, getChangeState, getChangeStateMaxLength, getChangeStateState, getCustomAssociations, getCustomAssociations, getDocuments, getDocuments, getExtensions, getExtensions, getExternalIdentities, getExternalIdentities, getGroups, getGroups, getImplementors, getImplementors, getKeywords, getKeywords, getLocalizedAttributes, getLocalizedAttributes, getLockedBy, getLockedByMaxLength, getLockedByState, getNotes, getNotes, getPrimaryPropertyGroup, getPrimaryPropertyGroups, getPrimaryPropertyGroups, getPrompts, getPrompts, getProperties, getProperties, getPropertySets, getPropertySets, getReferencedObjects, getReferencedObjects, getResponsibleParties, getResponsibleParties, getSourceTransformations, getSourceTransformations, getSpecSourceTransformations, getSpecSourceTransformations, getSpecTargetTransformations, getSpecTargetTransformations, getTargetTransformations, getTargetTransformations, getTimestamps, getTimestamps, getTrees, getTrees, getTSObjectNamespace, getTSObjectNamespaces, getTSObjectNamespaces, getUsageVersion, getUsageVersionState, getUsedByPrototypes, getUsedByPrototypes, getUsingPrototype, getUsingPrototypes, getUsingPrototypes, getVariables, getVariables, setAccessControls, setAccessControls, setChanges, setChanges, setChangeState, setChangeState, setChangeStateState, setCustomAssociations, setCustomAssociations, setDocuments, setDocuments, setExtensions, setExtensions, setExternalIdentities, setExternalIdentities, setGroups, setGroups, setImplementors, setImplementors, setKeywords, setKeywords, setLocalizedAttributes, setLocalizedAttributes, setLockedBy, setLockedBy, setLockedByState, setNotes, setNotes, setPrimaryPropertyGroup, setPrimaryPropertyGroups, setPrimaryPropertyGroups, setPrompts, setPrompts, setProperties, setProperties, setPropertySets, setPropertySets, setReferencedObjects, setReferencedObjects, setResponsibleParties, setResponsibleParties, setSourceTransformations, setSourceTransformations, setSpecSourceTransformations, setSpecSourceTransformations, setSpecTargetTransformations, setSpecTargetTransformations, setTargetTransformations, setTargetTransformations, setTimestamps, setTimestamps, setTrees, setTrees, setTSObjectNamespace, setTSObjectNamespaces, setTSObjectNamespaces, setUsageVersion, setUsageVersion, setUsageVersion, setUsageVersion, setUsageVersionState, setUsedByPrototypes, setUsedByPrototypes, setUsingPrototype, setUsingPrototypes, setUsingPrototypes, setVariables, setVariables`

Methods inherited from interface com.sas.metadata.remote.MdObjectBaseXML
`closeUpdateMetadataXML, createEmptyXML, createObjectRefreshXML, createObjectXML, createObjectXML, createUpdateAssociationXML, createUpdateAssociationXML, createUpdateSimpleXML, doCreateUpdateXML, getUpdateSimpleSubstring, updateMetadataAll`

Methods inherited from interface com.sas.metadata.remote.MdObjectBaseUtil
`addMdObjectListener, delete, dispose, fireMdObjectModified, getAssociatedObjects, getAssociatedObjects, getAssociatedObjects, getAssociationNames, getAssocs, getAssocsWA, getAttributeNames, getAttrs, getAttrsStates, getChangeManagementState, getChgMgtExternalIdentityImportType, getClientSideOnlyObject, getMdObjectAssociation, getPopulatedAssocs, getUpdatedAttrs, getViewList, isCheckedOut, isLocked, objectModified, removeMdObjectListener, setAttrs, setChangeManagementTargetRepository, setChgMgtExternalIdentityImportType, setClientSideOnlyObject, setMdObjectAssociation, touch, updateAssnsIds`

Methods inherited from interface com.sas.metadata.remote.MdObjectBase
`addElementToChangeList, clearChangeList, getChangeList, getCMetadataType, getDesc, getDescMaxLength, getDescState, getFQID, getId, getIdState, getMetadataCreated, getMetadataCreatedState, getMetadataUpdated, getMetadataUpdatedState, getName, getNameMaxLength, getNameState, getObjectStore, getPredAssociations, getRepositoryID, getRequiredAssociations, getState, isAssociationRequired, isNewObject, isPredAssociation, removeElementFromChangeList, resetObject, resetState, resetStates, setCMetadataType, setDesc, setDesc, setDescState, setFQID, setFQID, setId, setId, setIdState, setMetadataCreated, setMetadataCreated, setMetadataCreatedState, setMetadataUpdated, setMetadataUpdated, setMetadataUpdatedState, setName, setName, setNameState, setObjectStore, setState`

Field Detail

### ATTRIBUTE_TABLENAME_NAME

    static final java.lang.String ATTRIBUTE_TABLENAME_NAME

  Constant used for the name of the TableName attribute.

  TableName: This is the DBMS name for tables in an external database or the SAS dataset name.

  See Also:
    Constant Field Values

### ATTRIBUTE_NUMROWS_NAME

    static final java.lang.String ATTRIBUTE_NUMROWS_NAME

  Constant used for the name of the NumRows attribute.

  NumRows: This attribute contains the number of rows of data in the table. It can be filled in at data loading time to indicate to the metadata consumers how many rows of data a table has in it. If the number of rows is unknown, then a -1 is returned.

  See Also:
    Constant Field Values

### ASSOCIATION_COLUMNHIERARCHIES_NAME

    static final java.lang.String ASSOCIATION_COLUMNHIERARCHIES_NAME

  Constant used for the name of the ColumnHierarchies association.

  ColumnHierarchies: The column hierarchies defined for this table.

  See Also:
    Constant Field Values

### ASSOCIATION_COLUMNS_NAME

    static final java.lang.String ASSOCIATION_COLUMNS_NAME

  Constant used for the name of the Columns association.

  Columns: The list of columns contained in this table.

  See Also:
    Constant Field Values

### ASSOCIATION_FOREIGNKEYS_NAME

    static final java.lang.String ASSOCIATION_FOREIGNKEYS_NAME

  Constant used for the name of the ForeignKeys association.

  ForeignKeys: The foreign keys associated with a table.

  See Also:
    Constant Field Values

### ASSOCIATION_TABLEPACKAGE_NAME

    static final java.lang.String ASSOCIATION_TABLEPACKAGE_NAME

  Constant used for the name of the TablePackage association.

  TablePackage: The data packages (schema or libraries) that can be used to reference this table.

  See Also:
    Constant Field Values

### ASSOCIATION_UNIQUEKEYS_NAME

    static final java.lang.String ASSOCIATION_UNIQUEKEYS_NAME

  Constant used for the name of the UniqueKeys association.

  UniqueKeys: The list of unique keys associated with a table.

  See Also:
    Constant Field Values

### ASSOCIATION_ROLES_NAME

    static final java.lang.String ASSOCIATION_ROLES_NAME

  Constant used for the name of the Roles association.

  Roles: The roles an object can play.

  See Also:
    Constant Field Values

### ASSOCIATION_TABLECOLLECTIONS_NAME

    static final java.lang.String ASSOCIATION_TABLECOLLECTIONS_NAME

  Constant used for the name of the TableCollections association.

  TableCollections: The table collections where this data table participates.

  See Also:
    Constant Field Values

Method Detail

### initializeRequiredObjects

    void initializeRequiredObjects()
                                   throws java.rmi.RemoteException

  (S) This initializes the Required Objects(Roles) which are:

  Specified by:
    `initializeRequiredObjects` in interface `Classifier`
  Specified by:
    `initializeRequiredObjects` in interface `MdObjectBaseUtil`
  Specified by:
    `initializeRequiredObjects` in interface `PrimaryType`
  Specified by:
    `initializeRequiredObjects` in interface `Root`
  Throws:
    `java.rmi.RemoteException` - If error connecting/communicating to/with remote object.

### initializePredObjects

    void initializePredObjects()
                               throws java.rmi.RemoteException

  (S) Adds the Associated objects to the predObjects which are:
  `ColumnHierarchies`
  `Columns`
  `ForeignKeys`
  `TablePackage`
  `UniqueKeys`

  Specified by:
    `initializePredObjects` in interface `Classifier`
  Specified by:
    `initializePredObjects` in interface `MdObjectBase`
  Specified by:
    `initializePredObjects` in interface `PrimaryType`
  Specified by:
    `initializePredObjects` in interface `Root`
  Throws:
    `java.rmi.RemoteException` - If error connecting/communicating to/with remote object.

### getTableName

    java.lang.String getTableName()
                                  throws java.rmi.RemoteException

  Gets the `String` value of `TableName`

  Returns:
    The `TableName`
  Throws:
    `java.rmi.RemoteException` - If error connecting/communicating to/with remote object.

### getTableNameState

    int getTableNameState()
                          throws java.rmi.RemoteException

  Gets the Metadata State of `TableName`

  Returns:
    The State.
  Throws:
    `java.rmi.RemoteException` - If error connecting/communicating to/with remote object.

### getTableNameMaxLength

    int getTableNameMaxLength()
                              throws java.rmi.RemoteException

  Gets the maximum length of `TableName`

  Returns:
    The max size
  Throws:
    `java.rmi.RemoteException` - If error connecting/communicating to/with remote object.

### getNumRows

    double getNumRows()
                      throws java.rmi.RemoteException

  Gets the `double` value of `NumRows`

  Returns:
    The `NumRows`
  Throws:
    `java.rmi.RemoteException` - If error connecting/communicating to/with remote object.

### getNumRowsState

    int getNumRowsState()
                        throws java.rmi.RemoteException

  Gets the Metadata State of `NumRows`

  Returns:
    The State.
  Throws:
    `java.rmi.RemoteException` - If error connecting/communicating to/with remote object.

### getColumnHierarchies

    AssociationList getColumnHierarchies()
                                         throws java.rmi.RemoteException,
                                                MdException

  Gets the AssociationList of `ColumnHierarchies`

  Returns:
    Returns the AssociationList of `ColumnHierarchies` which can be of type:
    ColumnHierarchy
  Throws:
    `java.rmi.RemoteException` - If error connecting/communicating to/with remote object.
    `MdException` - If error getting/setting part of the object.

### getColumns

    AssociationList getColumns()
                               throws java.rmi.RemoteException,
                                      MdException

  Gets the AssociationList of `Columns`

  Returns:
    Returns the AssociationList of `Columns` which can be of type:
    Column
    ColumnRange
  Throws:
    `java.rmi.RemoteException` - If error connecting/communicating to/with remote object.
    `MdException` - If error getting/setting part of the object.

### getForeignKeys

    AssociationList getForeignKeys()
                                   throws java.rmi.RemoteException,
                                          MdException

  Gets the AssociationList of `ForeignKeys`

  Returns:
    Returns the AssociationList of `ForeignKeys` which can be of type:
    ForeignKey
  Throws:
    `java.rmi.RemoteException` - If error connecting/communicating to/with remote object.
    `MdException` - If error getting/setting part of the object.

### getTablePackages

    AssociationList getTablePackages()
                                     throws java.rmi.RemoteException,
                                            MdException

  Gets the AssociationList of `TablePackages`

  Returns:
    Returns the AssociationList of `TablePackages` which can be of type:
    RelationalSchema
    DatabaseSchema
    DataSourceName
    SASLibrary
    SecuredLibrary
  Throws:
    `java.rmi.RemoteException` - If error connecting/communicating to/with remote object.
    `MdException`

### getTablePackage

    RelationalSchema getTablePackage()
                                     throws java.rmi.RemoteException,
                                            MdException

  Gets the `RelationalSchema` for `TablePackage`

  Returns:
    The `RelationalSchema` ( `null` if not set) of `TablePackage`which can be of type:
    RelationalSchema
    DatabaseSchema
    DataSourceName
    SASLibrary
    SecuredLibrary
  Throws:
    `java.rmi.RemoteException` - If error connecting/communicating to/with remote object.
    `MdException` - If error getting/setting part of the object.

### getUniqueKeys

    AssociationList getUniqueKeys()
                                  throws java.rmi.RemoteException,
                                         MdException

  Gets the AssociationList of `UniqueKeys`

  Returns:
    Returns the AssociationList of `UniqueKeys` which can be of type:
    UniqueKey
  Throws:
    `java.rmi.RemoteException` - If error connecting/communicating to/with remote object.
    `MdException` - If error getting/setting part of the object.

### getRoles

    AssociationList getRoles()
                             throws java.rmi.RemoteException,
                                    MdException

  Gets the Association list of `Roles`

  Returns:
    The AssociationList of `Roles` which can be of type:
    Role
  Throws:
    `java.rmi.RemoteException` - If error connecting/communicating to/with remote object.
    `MdException` - If error getting/setting part of the object.

### getTableCollections

    AssociationList getTableCollections()
                                        throws java.rmi.RemoteException,
                                               MdException

  Gets the Association list of `TableCollections`

  Returns:
    The AssociationList of `TableCollections` which can be of type:
    TableCollection
  Throws:
    `java.rmi.RemoteException` - If error connecting/communicating to/with remote object.
    `MdException` - If error getting/setting part of the object.

### getColumnHierarchies

    AssociationList getColumnHierarchies(boolean fGoToServer)
                                         throws java.rmi.RemoteException,
                                                MdException

  Gets the Associationlist of `ColumnHierarchies`

  Parameters:
    `fGoToServer` - boolean Get the value from the server.
  Returns:
    Returns the AssociationList of `ColumnHierarchies` which can be of type:
    ColumnHierarchy
  Throws:
    `java.rmi.RemoteException` - If error connecting/communicating to/with remote object.
    `MdException` - If error getting/setting part of the object.

### getColumns

    AssociationList getColumns(boolean fGoToServer)
                               throws java.rmi.RemoteException,
                                      MdException

  Gets the Associationlist of `Columns`

  Parameters:
    `fGoToServer` - boolean Get the value from the server.
  Returns:
    Returns the AssociationList of `Columns` which can be of type:
    Column
    ColumnRange
  Throws:
    `java.rmi.RemoteException` - If error connecting/communicating to/with remote object.
    `MdException` - If error getting/setting part of the object.

### getForeignKeys

    AssociationList getForeignKeys(boolean fGoToServer)
                                   throws java.rmi.RemoteException,
                                          MdException

  Gets the Associationlist of `ForeignKeys`

  Parameters:
    `fGoToServer` - boolean Get the value from the server.
  Returns:
    Returns the AssociationList of `ForeignKeys` which can be of type:
    ForeignKey
  Throws:
    `java.rmi.RemoteException` - If error connecting/communicating to/with remote object.
    `MdException` - If error getting/setting part of the object.

### getTablePackages

    AssociationList getTablePackages(boolean fGoToServer)
                                     throws java.rmi.RemoteException,
                                            MdException

  Gets the Associationlist of `TablePackages`

  Parameters:
    `fGoToServer` - boolean Get the value from the server.
  Returns:
    Returns the AssociationList of `TablePackages` which can be of type:
    RelationalSchema
    DatabaseSchema
    DataSourceName
    SASLibrary
    SecuredLibrary
  Throws:
    `java.rmi.RemoteException` - If error connecting/communicating to/with remote object.
    `MdException` - If error getting/setting part of the object.

### getUniqueKeys

    AssociationList getUniqueKeys(boolean fGoToServer)
                                  throws java.rmi.RemoteException,
                                         MdException

  Gets the Associationlist of `UniqueKeys`

  Parameters:
    `fGoToServer` - boolean Get the value from the server.
  Returns:
    Returns the AssociationList of `UniqueKeys` which can be of type:
    UniqueKey
  Throws:
    `java.rmi.RemoteException` - If error connecting/communicating to/with remote object.
    `MdException` - If error getting/setting part of the object.

### getRoles

    AssociationList getRoles(boolean fGoToServer)
                             throws java.rmi.RemoteException,
                                    MdException

  Gets the Associationlist of `Roles`

  Parameters:
    `fGoToServer` - boolean Get the value from the server.
  Returns:
    Returns the `Roles` which can be of type:
    Role
  Throws:
    `java.rmi.RemoteException` - If error connecting/communicating to/with remote object.
    `MdException` - If error getting/setting part of the object.

### getTableCollections

    AssociationList getTableCollections(boolean fGoToServer)
                                        throws java.rmi.RemoteException,
                                               MdException

  Gets the Associationlist of `TableCollections`

  Parameters:
    `fGoToServer` - boolean Get the value from the server.
  Returns:
    Returns the `TableCollections` which can be of type:
    TableCollection
  Throws:
    `java.rmi.RemoteException` - If error connecting/communicating to/with remote object.
    `MdException` - If error getting/setting part of the object.

### setTableName

    void setTableName(java.lang.String inTableName)
                      throws java.rmi.RemoteException

  Sets the `TableName` value and sets the state to MetadataState.LOCAL.

  Parameters:
    `inTableName` - String
  Throws:
    `java.rmi.RemoteException` - If error communicating with remote object.

### setTableName

    void setTableName(java.lang.String inTableName,
                      int state)
                      throws java.rmi.RemoteException

  Sets the `TableName` Metadata State.

  Parameters:
    `inTableName` - String
    `state` - int
  Throws:
    `java.rmi.RemoteException` - If error communicating with remote object.

### setTableNameState

    void setTableNameState(int state)
                           throws java.rmi.RemoteException

  Sets the Metadata State of `TableName`.

  Parameters:
    `state` - int
  Throws:
    `java.rmi.RemoteException` - If error communicating with remote object.

### setNumRows

    void setNumRows(double inNumRows)
                    throws java.rmi.RemoteException

  Sets the `NumRows` value and sets the state to MetadataState.LOCAL.

  Parameters:
    `inNumRows` - double
  Throws:
    `java.rmi.RemoteException` - If error communicating with remote object.

### setNumRows

    void setNumRows(double inNumRows,
                    int state)
                    throws java.rmi.RemoteException

  Sets the `NumRows` Metadata State.

  Parameters:
    `inNumRows` - double
    `state` - int
  Throws:
    `java.rmi.RemoteException` - If error communicating with remote object.

### setNumRows

    void setNumRows(java.lang.String inNumRows)
                    throws java.rmi.RemoteException

  Sets the `NumRows` value and sets the state to MetadataState.LOCAL

  Parameters:
    `inNumRows` - String
  Throws:
    `java.rmi.RemoteException` - If error communicating with remote object.

### setNumRows

    void setNumRows(java.lang.String inNumRows,
                    int state)
                    throws java.rmi.RemoteException

  Sets the `NumRows` value and Metadata State.

  Parameters:
    `inNumRows` - String
    `state` - int
  Throws:
    `java.rmi.RemoteException` - If error communicating with remote object.

### setNumRowsState

    void setNumRowsState(int state)
                         throws java.rmi.RemoteException

  Sets the Metadata State of `NumRows`.

  Parameters:
    `state` - int
  Throws:
    `java.rmi.RemoteException` - If error communicating with remote object.

### setColumnHierarchies

    void setColumnHierarchies(AssociationList list)
                              throws java.rmi.RemoteException

  Sets the `ColumnHierarchies` list to be `list`. Objects of which can be of type:
  ColumnHierarchy

  Parameters:
    `list` - AssociationList
  Throws:
    `java.rmi.RemoteException` - If error communicating with remote object.

### setColumnHierarchies

    void setColumnHierarchies(AssociationList inObjects,
                              int state)
                              throws java.rmi.RemoteException

  Sets the entire AssociationList to match the passed in Vector, sets the state of the AssociationList

  Parameters:
    `inObjects` - AssociationList
    `state` - int
  Throws:
    `java.rmi.RemoteException` - If error communicating with remote object.

### setColumns

    void setColumns(AssociationList list)
                    throws java.rmi.RemoteException

  Sets the `Columns` list to be `list`. Objects of which can be of type:
  Column
  ColumnRange

  Parameters:
    `list` - AssociationList
  Throws:
    `java.rmi.RemoteException` - If error communicating with remote object.

### setColumns

    void setColumns(AssociationList inObjects,
                    int state)
                    throws java.rmi.RemoteException

  Sets the entire AssociationList to match the passed in Vector, sets the state of the AssociationList

  Parameters:
    `inObjects` - AssociationList
    `state` - int
  Throws:
    `java.rmi.RemoteException` - If error communicating with remote object.

### setForeignKeys

    void setForeignKeys(AssociationList list)
                        throws java.rmi.RemoteException

  Sets the `ForeignKeys` list to be `list`. Objects of which can be of type:
  ForeignKey

  Parameters:
    `list` - AssociationList
  Throws:
    `java.rmi.RemoteException` - If error communicating with remote object.

### setForeignKeys

    void setForeignKeys(AssociationList inObjects,
                        int state)
                        throws java.rmi.RemoteException

  Sets the entire AssociationList to match the passed in Vector, sets the state of the AssociationList

  Parameters:
    `inObjects` - AssociationList
    `state` - int
  Throws:
    `java.rmi.RemoteException` - If error communicating with remote object.

### setTablePackages

    void setTablePackages(AssociationList list)
                          throws java.rmi.RemoteException

  Sets the `TablePackages` list to be `list`. Object of which can be of type:
  RelationalSchema
  DatabaseSchema
  DataSourceName
  SASLibrary
  SecuredLibrary

  Parameters:
    `list` - AssociationList
  Throws:
    `java.rmi.RemoteException` - If error communicating with remote object.

### setTablePackages

    void setTablePackages(AssociationList list,
                          int state)
                          throws java.rmi.RemoteException

  Sets the `TablePackages` list to be `list`. Object of which can be of type:
  RelationalSchema
  DatabaseSchema
  DataSourceName
  SASLibrary
  SecuredLibrary

  Parameters:
    `list` - AssociationList
    `state` - int
  Throws:
    `java.rmi.RemoteException` - If error communicating with remote object.

### setTablePackage

    void setTablePackage(RelationalSchema inObject)
                         throws java.rmi.RemoteException

  Sets the `TablePackages` list 0th element to be `inObject`.

  Parameters:
    `inObject` - RelationalSchema
  Throws:
    `java.rmi.RemoteException` - If error communicating with remote object.

### setUniqueKeys

    void setUniqueKeys(AssociationList list)
                       throws java.rmi.RemoteException

  Sets the `UniqueKeys` list to be `list`. Objects of which can be of type:
  UniqueKey

  Parameters:
    `list` - AssociationList
  Throws:
    `java.rmi.RemoteException` - If error communicating with remote object.

### setUniqueKeys

    void setUniqueKeys(AssociationList inObjects,
                       int state)
                       throws java.rmi.RemoteException

  Sets the entire AssociationList to match the passed in Vector, sets the state of the AssociationList

  Parameters:
    `inObjects` - AssociationList
    `state` - int
  Throws:
    `java.rmi.RemoteException` - If error communicating with remote object.

### setRoles

    void setRoles(AssociationList list)
                  throws java.rmi.RemoteException

  Sets the `Roles` list to be `list`. Objects of which can be of type:
  Role

  Parameters:
    `list` - AssociationList
  Throws:
    `java.rmi.RemoteException` - If error communicating with remote object.

### setRoles

    void setRoles(AssociationList inObjects,
                  int state)
                  throws java.rmi.RemoteException

  Sets the entire Roles list to match the passed in AssociationList, sets the state of the Roles

  Parameters:
    `inObjects` - AssociationList
    `state` - int
  Throws:
    `java.rmi.RemoteException` - If error communicating with remote object.

### setTableCollections

    void setTableCollections(AssociationList list)
                             throws java.rmi.RemoteException

  Sets the `TableCollections` list to be `list`. Objects of which can be of type:
  TableCollection

  Parameters:
    `list` - AssociationList
  Throws:
    `java.rmi.RemoteException` - If error communicating with remote object.

### setTableCollections

    void setTableCollections(AssociationList inObjects,
                             int state)
                             throws java.rmi.RemoteException

  Sets the entire TableCollections list to match the passed in AssociationList, sets the state of the TableCollections

  Parameters:
    `inObjects` - AssociationList
    `state` - int
  Throws:
    `java.rmi.RemoteException` - If error communicating with remote object.

All Libraries | This Library | Package | Class | Use | Tree | Deprecated | Index | Grand Index | Help
|  | Metadata |
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2009 SAS Institute Inc. All Rights Reserved.